{*******************************************************}
{                                                       }
{       TInstall Component                              }
{                                                       }
{       Copyright (c) 1995 Bill White                   }
{                                                       }
{*******************************************************}

unit Instcopy;

{ This form is the Default Copy File Dialog.  By having this source
code, you can make the dialog look however you want! }

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Gauges, ExtCtrls;

type
  TdlgCopyFile = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    gaugeCopyProgress: TGauge;
    edCurrentFile: TEdit;
    Label1: TLabel;
  private
    { Private declarations }
    procedure SetCurrentFile(Value: String);
    procedure SetProgress(Value: Integer);
  public
    { Public declarations }
    property CurrentFile: String write SetCurrentFile; { The current file that is being copied }
    property Progress: Integer write SetProgress; { The current percent done }
  end;

implementation

{$R *.DFM}

procedure TdlgCopyFile.SetCurrentFile(Value: String);
begin
  edCurrentFile.Text := Value;
  edCurrentFile.Refresh;
end;

procedure TdlgCopyFile.SetProgress(Value: Integer);
begin
  gaugeCopyProgress.Progress := Value;
end;

end.
